# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

# dirac_seqparams_t Struct Reference

`#include <dirac_types.h>`

List of all members.

## Public Attributes

- int width
- int height
- dirac_chroma_t chroma
- int chroma_width
- int chroma_height
- int video_depth

## Detailed Description

Structure that holds the sequence parameters

## Member Data Documentation

int dirac_seqparams_t::width

numper of pixels per line

int dirac_seqparams_t::height

number of lines per frame

dirac_chroma_t dirac_seqparams_t::chroma

chroma type

int dirac_seqparams_t::chroma_width

numper of pixels of chroma per line

int dirac_seqparams_t::chroma_height

number of lines of chroma per frame

int dirac_seqparams_t::video_depth

video depth - number of bits in video

The documentation for this struct was generated from the following file:

- dirac_types.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.